# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.ConfigVariable

Packages that use ConfigVariable
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of ConfigVariable in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ConfigVariable
Modifier and Type
Method
Description
`static ConfigVariable`
StructureFactory.`createConfigVar()`
Creates an empty config variable structure.
`final ConfigVariable`
ModuleHandleImpl.`findConfigVariable(String name)`
Finds the config variable with the given name.
Methods in org.eclipse.birt.report.model.api with parameters of type ConfigVariable
Modifier and Type
Method
Description
`void`
ModuleHandleImpl.`addConfigVariable(ConfigVariable configVar)`
Adds a new config variable.
`void`
ModuleHandleImpl.`replaceConfigVariable(ConfigVariable oldVar, ConfigVariable newVar)`
Replaces the old config variable with the new one.